Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.Designer.cs	(revision 6823)
@@ -45,22 +45,22 @@
     /// </summary>
     private void InitializeComponent() {
-      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
-      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel1 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
-      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel2 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
-      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel3 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
-      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel4 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
-      System.Windows.Forms.DataVisualization.Charting.Legend legend1 = new System.Windows.Forms.DataVisualization.Charting.Legend();
-      System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      System.Windows.Forms.DataVisualization.Charting.Series series2 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      System.Windows.Forms.DataVisualization.Charting.Series series3 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      System.Windows.Forms.DataVisualization.Charting.Series series4 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      System.Windows.Forms.DataVisualization.Charting.Series series5 = new System.Windows.Forms.DataVisualization.Charting.Series();
-      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea2 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
-      System.Windows.Forms.DataVisualization.Charting.Legend legend2 = new System.Windows.Forms.DataVisualization.Charting.Legend();
-      System.Windows.Forms.DataVisualization.Charting.Series series6 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea7 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel13 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
+      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel14 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
+      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel15 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
+      System.Windows.Forms.DataVisualization.Charting.CustomLabel customLabel16 = new System.Windows.Forms.DataVisualization.Charting.CustomLabel();
+      System.Windows.Forms.DataVisualization.Charting.Legend legend7 = new System.Windows.Forms.DataVisualization.Charting.Legend();
+      System.Windows.Forms.DataVisualization.Charting.Series series19 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Series series20 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Series series21 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Series series22 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.Series series23 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea8 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.Legend legend8 = new System.Windows.Forms.DataVisualization.Charting.Legend();
+      System.Windows.Forms.DataVisualization.Charting.Series series24 = new System.Windows.Forms.DataVisualization.Charting.Series();
       this.jobChart = new System.Windows.Forms.DataVisualization.Charting.Chart();
       this.coresChart = new System.Windows.Forms.DataVisualization.Charting.Chart();
-      this.lblSlaveState = new System.Windows.Forms.Label();
       this.label1 = new System.Windows.Forms.Label();
+      this.txtSlaveState = new System.Windows.Forms.TextBox();
       ((System.ComponentModel.ISupportInitialize)(this.jobChart)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.coresChart)).BeginInit();
@@ -73,41 +73,41 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.jobChart.BackgroundImageLayout = System.Windows.Forms.ImageLayout.None;
-      customLabel1.Text = "Jobs";
-      customLabel2.Text = "Aborted Jobs";
-      customLabel3.Text = "Finished Jobs";
-      customLabel4.Text = "Fetched Jobs";
-      chartArea1.AxisX.CustomLabels.Add(customLabel1);
-      chartArea1.AxisX.CustomLabels.Add(customLabel2);
-      chartArea1.AxisX.CustomLabels.Add(customLabel3);
-      chartArea1.AxisX.CustomLabels.Add(customLabel4);
-      chartArea1.AxisX.Enabled = System.Windows.Forms.DataVisualization.Charting.AxisEnabled.True;
-      chartArea1.AxisX.MajorGrid.Enabled = false;
-      chartArea1.AxisX.MajorTickMark.Enabled = false;
-      chartArea1.Name = "ChartArea1";
-      this.jobChart.ChartAreas.Add(chartArea1);
-      legend1.Name = "Legend1";
-      this.jobChart.Legends.Add(legend1);
+      customLabel13.Text = "Jobs";
+      customLabel14.Text = "Aborted Jobs";
+      customLabel15.Text = "Finished Jobs";
+      customLabel16.Text = "Fetched Jobs";
+      chartArea7.AxisX.CustomLabels.Add(customLabel13);
+      chartArea7.AxisX.CustomLabels.Add(customLabel14);
+      chartArea7.AxisX.CustomLabels.Add(customLabel15);
+      chartArea7.AxisX.CustomLabels.Add(customLabel16);
+      chartArea7.AxisX.Enabled = System.Windows.Forms.DataVisualization.Charting.AxisEnabled.True;
+      chartArea7.AxisX.MajorGrid.Enabled = false;
+      chartArea7.AxisX.MajorTickMark.Enabled = false;
+      chartArea7.Name = "ChartArea1";
+      this.jobChart.ChartAreas.Add(chartArea7);
+      legend7.Name = "Legend1";
+      this.jobChart.Legends.Add(legend7);
       this.jobChart.Location = new System.Drawing.Point(3, 121);
       this.jobChart.Name = "jobChart";
-      series1.ChartArea = "ChartArea1";
-      series1.Legend = "Legend1";
-      series1.Name = "Series1";
-      series2.ChartArea = "ChartArea1";
-      series2.Legend = "Legend1";
-      series2.Name = "Series2";
-      series3.ChartArea = "ChartArea1";
-      series3.Legend = "Legend1";
-      series3.Name = "Series3";
-      series4.ChartArea = "ChartArea1";
-      series4.Legend = "Legend1";
-      series4.Name = "Series4";
-      series5.ChartArea = "ChartArea1";
-      series5.Legend = "Legend1";
-      series5.Name = "Series5";
-      this.jobChart.Series.Add(series1);
-      this.jobChart.Series.Add(series2);
-      this.jobChart.Series.Add(series3);
-      this.jobChart.Series.Add(series4);
-      this.jobChart.Series.Add(series5);
+      series19.ChartArea = "ChartArea1";
+      series19.Legend = "Legend1";
+      series19.Name = "Series1";
+      series20.ChartArea = "ChartArea1";
+      series20.Legend = "Legend1";
+      series20.Name = "Series2";
+      series21.ChartArea = "ChartArea1";
+      series21.Legend = "Legend1";
+      series21.Name = "Series3";
+      series22.ChartArea = "ChartArea1";
+      series22.Legend = "Legend1";
+      series22.Name = "Series4";
+      series23.ChartArea = "ChartArea1";
+      series23.Legend = "Legend1";
+      series23.Name = "Series5";
+      this.jobChart.Series.Add(series19);
+      this.jobChart.Series.Add(series20);
+      this.jobChart.Series.Add(series21);
+      this.jobChart.Series.Add(series22);
+      this.jobChart.Series.Add(series23);
       this.jobChart.Size = new System.Drawing.Size(412, 189);
       this.jobChart.TabIndex = 7;
@@ -116,24 +116,17 @@
       // 
       this.coresChart.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      chartArea2.Name = "ChartArea1";
-      this.coresChart.ChartAreas.Add(chartArea2);
-      legend2.Name = "Legend1";
-      this.coresChart.Legends.Add(legend2);
+      chartArea8.Name = "ChartArea1";
+      this.coresChart.ChartAreas.Add(chartArea8);
+      legend8.Name = "Legend1";
+      this.coresChart.Legends.Add(legend8);
       this.coresChart.Location = new System.Drawing.Point(186, 3);
       this.coresChart.Name = "coresChart";
-      series6.ChartArea = "ChartArea1";
-      series6.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.Pie;
-      series6.Legend = "Legend1";
-      series6.Name = "Series1";
-      this.coresChart.Series.Add(series6);
+      series24.ChartArea = "ChartArea1";
+      series24.ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.Pie;
+      series24.Legend = "Legend1";
+      series24.Name = "Series1";
+      this.coresChart.Series.Add(series24);
       this.coresChart.Size = new System.Drawing.Size(229, 80);
       this.coresChart.TabIndex = 9;
-      // 
-      // lblSlaveState
-      // 
-      this.lblSlaveState.Location = new System.Drawing.Point(75, 5);
-      this.lblSlaveState.Name = "lblSlaveState";
-      this.lblSlaveState.Size = new System.Drawing.Size(78, 13);
-      this.lblSlaveState.TabIndex = 13;
       // 
       // label1
@@ -142,17 +135,25 @@
       this.label1.Location = new System.Drawing.Point(7, 5);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(62, 13);
+      this.label1.Size = new System.Drawing.Size(65, 13);
       this.label1.TabIndex = 14;
-      this.label1.Text = "Slave State";
+      this.label1.Text = "Slave State:";
       // 
-      // SlaveView
+      // txtSlaveState
+      // 
+      this.txtSlaveState.Enabled = false;
+      this.txtSlaveState.Location = new System.Drawing.Point(78, 2);
+      this.txtSlaveState.Name = "txtSlaveState";
+      this.txtSlaveState.Size = new System.Drawing.Size(100, 20);
+      this.txtSlaveState.TabIndex = 15;
+      // 
+      // SlaveStats
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.txtSlaveState);
       this.Controls.Add(this.label1);
-      this.Controls.Add(this.lblSlaveState);
       this.Controls.Add(this.coresChart);
       this.Controls.Add(this.jobChart);
-      this.Name = "SlaveView";
+      this.Name = "SlaveStats";
       this.Size = new System.Drawing.Size(418, 313);
       ((System.ComponentModel.ISupportInitialize)(this.jobChart)).EndInit();
@@ -167,6 +168,6 @@
     private System.Windows.Forms.DataVisualization.Charting.Chart jobChart;
     private System.Windows.Forms.DataVisualization.Charting.Chart coresChart;
-    private System.Windows.Forms.Label lblSlaveState;
     private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.TextBox txtSlaveState;
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveStats.cs	(revision 6823)
@@ -46,5 +46,5 @@
     public SlaveStats() {
       InitializeComponent();
-      lblSlaveState.Text = SlaveDisplayStat.NoService.ToString();
+      txtSlaveState.Text = SlaveDisplayStat.NoService.ToString();
       lastSlaveDisplayStat = SlaveDisplayStat.NoService;
       Content_SlaveDisplayStateChanged(this, new EventArgs<SlaveDisplayStat>(lastSlaveDisplayStat));
@@ -91,5 +91,5 @@
         Invoke(action, sender, e);
       } else {
-        lblSlaveState.Text = e.Value.ToString();
+        txtSlaveState.Text = e.Value.ToString();
         lastSlaveDisplayStat = e.Value;
       }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.Designer.cs	(revision 6823)
@@ -46,9 +46,17 @@
     private void InitializeComponent() {
       this.slaveStats = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveStats();
-      this.slaveCmds = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveCmdsBase();
+      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.jobsView = new HeuristicLab.Clients.Hive.SlaveCore.Views.JobsView();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
       this.SuspendLayout();
       // 
       // slaveStats
       // 
+      this.slaveStats.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.slaveStats.Caption = "HeuristicLab Slave View";
       this.slaveStats.Content = null;
@@ -56,16 +64,39 @@
       this.slaveStats.Name = "slaveStats";
       this.slaveStats.ReadOnly = false;
-      this.slaveStats.Size = new System.Drawing.Size(418, 313);
+      this.slaveStats.Size = new System.Drawing.Size(508, 194);
       this.slaveStats.TabIndex = 0;
       // 
-      // slaveCmds
+      // splitContainer
       // 
-      this.slaveCmds.Caption = "HeuristicLab Slave View";
-      this.slaveCmds.Content = null;
-      this.slaveCmds.Location = new System.Drawing.Point(429, 3);
-      this.slaveCmds.Name = "slaveCmds";
-      this.slaveCmds.ReadOnly = false;
-      this.slaveCmds.Size = new System.Drawing.Size(100, 155);
-      this.slaveCmds.TabIndex = 1;
+      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer.Location = new System.Drawing.Point(3, 3);
+      this.splitContainer.Name = "splitContainer";
+      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
+      // 
+      // splitContainer.Panel1
+      // 
+      this.splitContainer.Panel1.Controls.Add(this.slaveStats);
+      // 
+      // splitContainer.Panel2
+      // 
+      this.splitContainer.Panel2.Controls.Add(this.jobsView);
+      this.splitContainer.Size = new System.Drawing.Size(514, 314);
+      this.splitContainer.SplitterDistance = 200;
+      this.splitContainer.TabIndex = 2;
+      // 
+      // jobsView
+      // 
+      this.jobsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobsView.Caption = "Jobs View";
+      this.jobsView.Content = null;
+      this.jobsView.Location = new System.Drawing.Point(3, 3);
+      this.jobsView.Name = "jobsView";
+      this.jobsView.ReadOnly = false;
+      this.jobsView.Size = new System.Drawing.Size(508, 104);
+      this.jobsView.TabIndex = 0;
       // 
       // SlaveView
@@ -73,8 +104,11 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.slaveCmds);
-      this.Controls.Add(this.slaveStats);
+      this.Controls.Add(this.splitContainer);
       this.Name = "SlaveView";
       this.Size = new System.Drawing.Size(520, 320);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
+      this.splitContainer.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -84,5 +118,6 @@
 
     private SlaveStats slaveStats;
-    private SlaveCmdsBase slaveCmds;
+    private System.Windows.Forms.SplitContainer splitContainer;
+    private JobsView jobsView;
 
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveView.cs	(revision 6823)
@@ -52,8 +52,8 @@
       if (Content == null) {
         slaveStats.Content = null;
-        slaveCmds.Content = null;
+        jobsView.Content = null;
       } else {
         slaveStats.Content = (SlaveItem)Content;
-        slaveCmds.Content = (SlaveItem)Content;
+        jobsView.Content = (SlaveItem)Content;
       }
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLabHivePlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLabHivePlugin.cs.frame	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.3/HeuristicLabHivePlugin.cs.frame	(revision 6823)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
